System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.ServiceDescriptionFormatExtension System.Web.Services.Configuration.XmlFormatExtension("binding", "http://schemas.xmlsoap.org/wsdl/soap/", typeof(System.Web.Services.Description.Binding)) System.Web.Services.Configuration.XmlFormatExtensionPrefix("soapenc", "http://schemas.xmlsoap.org/soap/encoding/") System.Web.Services.Configuration.XmlFormatExtensionPrefix("soap", "http://schemas.xmlsoap.org/wsdl/soap/")

This class specifies that the data transmission will use the SOAP protocol version 1.1.

For more information about specifying protocols for XML Web services, see [<topic://cpconbuildingaspnetwebservices>]. For more information about Web Services Description Language (WSDL), see the specification at http://www.w3.org/TR/wsdl/.

Represents an extension added to a within an XML Web service. This class cannot be inherited.

- Constructor
  To be added

  Initializes an instance of the class.

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The field value is "http://schemas.xmlsoap.org/soap/http/".

  Gets the URI for the standard protocol specifying HTTP transmission of SOAP data. This field is constant.

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The field value is "http://schemas.xmlsoap.org/wsdl/soap/".

  Gets the URI for the XML namespace of the class. This field is constant.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added. To be added.

  Gets the binding schema that is to be used to transmit data by using the SOAP protocol version 1.1.

- Property
  System.Web.Services.Description.SoapBindingStyle To be added: an object of type 'SoapBindingStyle' To be added

  Specifies the type of SOAP binding used by the current .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("style")
  System.ComponentModel.DefaultValue(System.Web.Services.Description.SoapBindingStyle.Document)
- Property
  System.String To be added: an object of type 'string'

  This required property value will generally be the same as that of the field. However, this property value can be any URI for data-transmission specifications, for example, SMTP or FTP.

  Gets or sets the URI with the specification for HTTP transmission of SOAP data.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("transport")